Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2509)
@@ -24,5 +24,5 @@
 # Number of periods where to set parameter adjust=y before switching to adjust=n
 # For adjust=n, set LMDZ_NbPeriod_ajust=0. 
-LMDZ_NbPeriod_adjust=3
+LMDZ_NbPeriod_adjust=0
 
 # To force usage of specific Bands file, set LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
@@ -49,5 +49,5 @@
 LMDZ_COSP_OK=n
 LMDZ_COSP_monthly=y
-LMDZ_COSP_daily=y
+LMDZ_COSP_daily=n
 LMDZ_COSP_hf=n
 
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2509)
@@ -24,5 +24,5 @@
 # Number of periods where to set parameter adjust=y before switching to adjust=n
 # For adjust=n, set LMDZ_NbPeriod_ajust=0. 
-LMDZ_NbPeriod_adjust=3
+LMDZ_NbPeriod_adjust=0
 
 # To force usage of specific Bands file, set LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
@@ -49,5 +49,5 @@
 LMDZ_COSP_OK=n
 LMDZ_COSP_monthly=y
-LMDZ_COSP_daily=y
+LMDZ_COSP_daily=n
 LMDZ_COSP_hf=n
 
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/lmdz.driver	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/lmdz.driver	(revision 2509)
@@ -349,4 +349,7 @@
 	IGCM_comp_modifyXmlFile force file_def_histdayNMC_lmdz.xml histdayNMC enabled .FALSE.
 	IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP enabled .FALSE.
 
     # Default output level : 5
@@ -360,4 +363,7 @@
 	IGCM_comp_modifyXmlFile force file_def_histdayNMC_lmdz.xml histdayNMC output_level 5
 	IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC output_level 5
+        IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP output_level 5
+        IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP output_level 5
+        IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP output_level 5
      # Filling of XML files 
 	if [ X${ok_mensuel} = Xy ] ; then
@@ -412,4 +418,20 @@
 	    IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC name histhfNMC
 	fi
+        if [ X${LMDZ_COSP_monthly} = Xy ] ; then
+	    IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP output_freq 1mo
+	    IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP name histmthCOSP
+	fi
+	if [ X${LMDZ_COSP_daily} = Xy ] ; then
+	    IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP output_freq 1d
+	    IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP name histdayCOSP
+	fi
+	if [ X${LMDZ_COSP_hf} = Xy ] ; then
+	    IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP output_freq 6h
+	    IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP name histhfCOSP
+	fi
+
     fi
 
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/cosp_input_nl.txt
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/cosp_input_nl.txt	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/cosp_input_nl.txt	(revision 2509)
@@ -26,14 +26,10 @@
 ! Namelist that sets up the main COSP options
 &COSP_INPUT
-  CMOR_NL='./cmor/cosp_cmor_nl.txt', ! CMOR namelist
   NPOINTS_IT=10000,! Max number of gridpoints to be processed in one iteration
   NCOLUMNS=20,  ! Number of subcolumns
-  NLEVELS=39,   ! Number of model levels 
-  USE_VGRID=.true., ! Use fixed vertical grid for outputs? (if .true. then you need to define number of levels with Nlr)
+  USE_VGRID=.false., ! Use fixed vertical grid for outputs? (if .true. then you need to define number of levels with Nlr)
   NLR=40,       ! Number of levels in statistical outputs (only used if USE_VGRID=.true.)
-  CSAT_VGRID=.true., ! CloudSat vertical grid? (if .true. then the CloudSat standard grid is used for the outputs.
+  CSAT_VGRID=.false., ! CloudSat vertical grid? (if .true. then the CloudSat standard grid is used for the outputs.
                      !  USE_VGRID needs also be .true.)
-  FINPUT='histday.nc', ! NetCDF file with 1D inputs
-!  FINPUT='cosp_input_um_2d.nc', ! NetCDF file with 2D inputs
   !----------------------------------------------------------------------------------
   !--------------- Inputs related to radar simulations
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/cosp_output_nl.txt
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/cosp_output_nl.txt	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/cosp_output_nl.txt	(revision 2509)
@@ -34,5 +34,5 @@
   ! Output variables
   Lalbisccp=.true.,
-  Latb532=.false.,
+  Latb532=.true.,
   Lboxptopisccp=.true.,
   Lboxtauisccp=.true.,
@@ -60,4 +60,4 @@
   ! These are provided for debugging or special purposes
   Lfrac_out=.false.,
-  Lbeta_mol532=.false.,  
+  Lbeta_mol532=.true.,  
 /
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2509)
@@ -24,5 +24,5 @@
 # Number of periods where to set parameter adjust=y before switching to adjust=n
 # For adjust=n, set LMDZ_NbPeriod_ajust=0. 
-LMDZ_NbPeriod_adjust=3
+LMDZ_NbPeriod_adjust=0
 
 # To force usage of specific Bands file, set LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
@@ -49,5 +49,5 @@
 LMDZ_COSP_OK=n
 LMDZ_COSP_monthly=y
-LMDZ_COSP_daily=y
+LMDZ_COSP_daily=n
 LMDZ_COSP_hf=n
 
@@ -138,5 +138,5 @@
 [Post_1M_histmth]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, ftime_th, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, LWupTOA, LWupTOAclr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, mc, nettop, paprs, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl)
 ChunckJob2D = NONE
@@ -147,5 +147,5 @@
 [Post_1M_histmthCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -156,5 +156,5 @@
 [Post_1M_histmthNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -165,5 +165,5 @@
 [Post_1M_dynzon]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -174,5 +174,5 @@
 [Post_1D_histday]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, SWdnSFC, LWupSFCclr,SWupSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
 ChunckJob2D = 200Y
@@ -183,5 +183,5 @@
 [Post_1D_histdayCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -192,5 +192,5 @@
 [Post_1D_histdayNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -201,5 +201,5 @@
 [Post_HF_histhf]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, t2m, tsol, u10m, v10m, t850, t700, t500, t200, t50, t10, u850, u700, u500, u200, u50, u10, v850, v700, v500, v200, v50, v10, phi850, phi700, phi200, phi50, phi10, w850, w700, w500, w200, w50, w10, q850, q700, q500, q200, q50, q10)
 ChunckJob2D = 50Y
@@ -210,5 +210,5 @@
 [Post_HF_histhfCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -219,5 +219,5 @@
 [Post_HF_histhfNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -228,5 +228,5 @@
 [Post_3H_histhf3h]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (phis, tsol, t2m, q2m, u10m, v10m, psol, topl, bils, cdrh)
 ChunckJob2D = 50Y
@@ -237,5 +237,5 @@
 [Post_3H_histhf3hm]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (precip, flat, sens, LWdnSFC, LWupSFC, SWdnSFC, SWupSFC, pluc, snow, LWdnSFCclr, SWdnSFCclr, LWupSFCclr, cldt)
 ChunckJob2D = 50Y
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 2509)
@@ -49,5 +49,5 @@
 [Post_1M_sechiba_history]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (nobiofrac, alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, snownobio, snowf, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac)
 ChunckJob2D= NONE
@@ -58,5 +58,5 @@
 [Post_HF_sechiba_out_2]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (mrsos, mrro)
 ChunckJob2D= 50Y
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 2509)
@@ -31,5 +31,5 @@
 [Post_1M_stomate_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas)
 TimeSeriesVars2D= (T2M_MONTH,CONTFRAC,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
 ChunckJob2D = NONE
@@ -40,5 +40,5 @@
 [Post_1M_stomate_ipcc_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas, CONTFRAC)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas, CONTFRAC)
 TimeSeriesVars2D=(cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep)
 ChunckJob2D = NONE
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2509)
@@ -24,5 +24,5 @@
 # Number of periods where to set parameter adjust=y before switching to adjust=n
 # For adjust=n, set LMDZ_NbPeriod_ajust=0. 
-LMDZ_NbPeriod_adjust=3
+LMDZ_NbPeriod_adjust=0
 
 # To force usage of specific Bands file, set LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
@@ -49,5 +49,5 @@
 LMDZ_COSP_OK=n
 LMDZ_COSP_monthly=y
-LMDZ_COSP_daily=y
+LMDZ_COSP_daily=n
 LMDZ_COSP_hf=n
 
@@ -133,5 +133,5 @@
 [Post_1M_histmth]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, ftime_th, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, LWupTOA, LWupTOAclr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, mc, nettop, paprs, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl)
 ChunckJob2D = NONE
@@ -142,5 +142,5 @@
 [Post_1M_histmthCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -151,5 +151,5 @@
 [Post_1M_histmthNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -160,5 +160,5 @@
 [Post_1M_dynzon]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -169,5 +169,5 @@
 [Post_1D_histday]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, SWdnSFC, LWupSFCclr,SWupSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
 ChunckJob2D = 200Y
@@ -178,5 +178,5 @@
 [Post_1D_histdayCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -187,5 +187,5 @@
 [Post_1D_histdayNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -196,5 +196,5 @@
 [Post_HF_histhf]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, t2m, tsol, u10m, v10m, t850, t700, t500, t200, t50, t10, u850, u700, u500, u200, u50, u10, v850, v700, v500, v200, v50, v10, phi850, phi700, phi200, phi50, phi10, w850, w700, w500, w200, w50, w10, q850, q700, q500, q200, q50, q10)
 ChunckJob2D = 50Y
@@ -205,5 +205,5 @@
 [Post_HF_histhfCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -214,5 +214,5 @@
 [Post_HF_histhfNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -223,5 +223,5 @@
 [Post_3H_histhf3h]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (phis, tsol, t2m, q2m, u10m, v10m, psol, topl, bils, cdrh)
 ChunckJob2D = 50Y
@@ -232,5 +232,5 @@
 [Post_3H_histhf3hm]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (precip, flat, sens, LWdnSFC, LWupSFC, SWdnSFC, SWupSFC, pluc, snow, LWdnSFCclr, SWdnSFCclr, LWupSFCclr, cldt)
 ChunckJob2D = 50Y
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card	(revision 2509)
@@ -49,5 +49,5 @@
 [Post_1M_sechiba_history]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (nobiofrac, alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, snownobio, snowf, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac)
 ChunckJob2D= NONE
@@ -58,5 +58,5 @@
 [Post_HF_sechiba_out_2]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (mrsos, mrro)
 ChunckJob2D= 50Y
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card	(revision 2509)
@@ -31,5 +31,5 @@
 [Post_1M_stomate_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas)
 TimeSeriesVars2D= (T2M_MONTH,CONTFRAC,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
 ChunckJob2D = NONE
@@ -40,5 +40,5 @@
 [Post_1M_stomate_ipcc_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas, CONTFRAC)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas, CONTFRAC)
 TimeSeriesVars2D=(cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep)
 ChunckJob2D = NONE
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/DRIVER/lmdz.driver	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/DRIVER/lmdz.driver	(revision 2509)
@@ -349,4 +349,7 @@
 	IGCM_comp_modifyXmlFile force file_def_histdayNMC_lmdz.xml histdayNMC enabled .FALSE.
 	IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP enabled .FALSE.
 
     # Default output level : 5
@@ -360,4 +363,7 @@
 	IGCM_comp_modifyXmlFile force file_def_histdayNMC_lmdz.xml histdayNMC output_level 5
 	IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC output_level 5
+        IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP output_level 5
+        IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP output_level 5
+        IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP output_level 5
      # Filling of XML files 
 	if [ X${ok_mensuel} = Xy ] ; then
@@ -412,4 +418,20 @@
 	    IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC name histhfNMC
 	fi
+        if [ X${LMDZ_COSP_monthly} = Xy ] ; then
+	    IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP output_freq 1mo
+	    IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP name histmthCOSP
+	fi
+	if [ X${LMDZ_COSP_daily} = Xy ] ; then
+	    IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP output_freq 1d
+	    IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP name histdayCOSP
+	fi
+	if [ X${LMDZ_COSP_hf} = Xy ] ; then
+	    IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP output_freq 6h
+	    IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP name histhfCOSP
+	fi
+
     fi
 
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/cosp_input_nl.txt
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/cosp_input_nl.txt	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/cosp_input_nl.txt	(revision 2509)
@@ -26,14 +26,10 @@
 ! Namelist that sets up the main COSP options
 &COSP_INPUT
-  CMOR_NL='./cmor/cosp_cmor_nl.txt', ! CMOR namelist
   NPOINTS_IT=10000,! Max number of gridpoints to be processed in one iteration
   NCOLUMNS=20,  ! Number of subcolumns
-  NLEVELS=39,   ! Number of model levels 
-  USE_VGRID=.true., ! Use fixed vertical grid for outputs? (if .true. then you need to define number of levels with Nlr)
+  USE_VGRID=.false., ! Use fixed vertical grid for outputs? (if .true. then you need to define number of levels with Nlr)
   NLR=40,       ! Number of levels in statistical outputs (only used if USE_VGRID=.true.)
-  CSAT_VGRID=.true., ! CloudSat vertical grid? (if .true. then the CloudSat standard grid is used for the outputs.
+  CSAT_VGRID=.false., ! CloudSat vertical grid? (if .true. then the CloudSat standard grid is used for the outputs.
                      !  USE_VGRID needs also be .true.)
-  FINPUT='histday.nc', ! NetCDF file with 1D inputs
-!  FINPUT='cosp_input_um_2d.nc', ! NetCDF file with 2D inputs
   !----------------------------------------------------------------------------------
   !--------------- Inputs related to radar simulations
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/cosp_output_nl.txt
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/cosp_output_nl.txt	(revision 2508)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/cosp_output_nl.txt	(revision 2509)
@@ -34,5 +34,5 @@
   ! Output variables
   Lalbisccp=.true.,
-  Latb532=.false.,
+  Latb532=.true.,
   Lboxptopisccp=.true.,
   Lboxtauisccp=.true.,
@@ -60,4 +60,4 @@
   ! These are provided for debugging or special purposes
   Lfrac_out=.false.,
-  Lbeta_mol532=.false.,  
+  Lbeta_mol532=.true.,  
 /
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2509)
@@ -24,5 +24,5 @@
 # Number of periods where to set parameter adjust=y before switching to adjust=n
 # For adjust=n, set LMDZ_NbPeriod_ajust=0. 
-LMDZ_NbPeriod_adjust=3
+LMDZ_NbPeriod_adjust=0
 
 # To force usage of specific Bands file, set LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
@@ -49,5 +49,5 @@
 LMDZ_COSP_OK=n
 LMDZ_COSP_monthly=y
-LMDZ_COSP_daily=y
+LMDZ_COSP_daily=n
 LMDZ_COSP_hf=n
 
@@ -138,5 +138,5 @@
 [Post_1M_histmth]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, ftime_th, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, LWupTOA, LWupTOAclr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, mc, nettop, paprs, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl)
 ChunckJob2D = NONE
@@ -147,5 +147,5 @@
 [Post_1M_histmthCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -156,5 +156,5 @@
 [Post_1M_histmthNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -165,5 +165,5 @@
 [Post_1M_dynzon]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -174,5 +174,5 @@
 [Post_1D_histday]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, SWdnSFC, LWupSFCclr,SWupSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
 ChunckJob2D = 200Y
@@ -183,5 +183,5 @@
 [Post_1D_histdayCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -192,5 +192,5 @@
 [Post_1D_histdayNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -201,5 +201,5 @@
 [Post_HF_histhf]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, t2m, tsol, u10m, v10m, t850, t700, t500, t200, t50, t10, u850, u700, u500, u200, u50, u10, v850, v700, v500, v200, v50, v10, phi850, phi700, phi200, phi50, phi10, w850, w700, w500, w200, w50, w10, q850, q700, q500, q200, q50, q10)
 ChunckJob2D = 50Y
@@ -210,5 +210,5 @@
 [Post_HF_histhfCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -219,5 +219,5 @@
 [Post_HF_histhfNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -228,5 +228,5 @@
 [Post_3H_histhf3h]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (phis, tsol, t2m, q2m, u10m, v10m, psol, topl, bils, cdrh)
 ChunckJob2D = 50Y
@@ -237,5 +237,5 @@
 [Post_3H_histhf3hm]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (precip, flat, sens, LWdnSFC, LWupSFC, SWdnSFC, SWupSFC, pluc, snow, LWdnSFCclr, SWdnSFCclr, LWupSFCclr, cldt)
 ChunckJob2D = 50Y
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 2509)
@@ -49,5 +49,5 @@
 [Post_1M_sechiba_history]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (nobiofrac, alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, snownobio, snowf, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac)
 ChunckJob2D= NONE
@@ -58,5 +58,5 @@
 [Post_HF_sechiba_out_2]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (mrsos, mrro)
 ChunckJob2D= 50Y
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 2509)
@@ -31,5 +31,5 @@
 [Post_1M_stomate_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas)
 TimeSeriesVars2D= (T2M_MONTH,CONTFRAC,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
 ChunckJob2D = NONE
@@ -40,5 +40,5 @@
 [Post_1M_stomate_ipcc_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas, CONTFRAC)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas, CONTFRAC)
 TimeSeriesVars2D=(cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep)
 ChunckJob2D = NONE
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2509)
@@ -24,5 +24,5 @@
 # Number of periods where to set parameter adjust=y before switching to adjust=n
 # For adjust=n, set LMDZ_NbPeriod_ajust=0. 
-LMDZ_NbPeriod_adjust=3
+LMDZ_NbPeriod_adjust=0
 
 # To force usage of specific Bands file, set LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
@@ -49,5 +49,5 @@
 LMDZ_COSP_OK=n
 LMDZ_COSP_monthly=y
-LMDZ_COSP_daily=y
+LMDZ_COSP_daily=n
 LMDZ_COSP_hf=n
 
@@ -133,5 +133,5 @@
 [Post_1M_histmth]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, ftime_th, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, LWupTOA, LWupTOAclr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, mc, nettop, paprs, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl)
 ChunckJob2D = NONE
@@ -142,5 +142,5 @@
 [Post_1M_histmthCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -151,5 +151,5 @@
 [Post_1M_histmthNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -160,5 +160,5 @@
 [Post_1M_dynzon]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -169,5 +169,5 @@
 [Post_1D_histday]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, SWdnSFC, LWupSFCclr,SWupSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
 ChunckJob2D = 200Y
@@ -178,5 +178,5 @@
 [Post_1D_histdayCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -187,5 +187,5 @@
 [Post_1D_histdayNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -196,5 +196,5 @@
 [Post_HF_histhf]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, t2m, tsol, u10m, v10m, t850, t700, t500, t200, t50, t10, u850, u700, u500, u200, u50, u10, v850, v700, v500, v200, v50, v10, phi850, phi700, phi200, phi50, phi10, w850, w700, w500, w200, w50, w10, q850, q700, q500, q200, q50, q10)
 ChunckJob2D = 50Y
@@ -205,5 +205,5 @@
 [Post_HF_histhfCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -214,5 +214,5 @@
 [Post_HF_histhfNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -223,5 +223,5 @@
 [Post_3H_histhf3h]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (phis, tsol, t2m, q2m, u10m, v10m, psol, topl, bils, cdrh)
 ChunckJob2D = 50Y
@@ -232,5 +232,5 @@
 [Post_3H_histhf3hm]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (precip, flat, sens, LWdnSFC, LWupSFC, SWdnSFC, SWupSFC, pluc, snow, LWdnSFCclr, SWdnSFCclr, LWupSFCclr, cldt)
 ChunckJob2D = 50Y
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card	(revision 2509)
@@ -49,5 +49,5 @@
 [Post_1M_sechiba_history]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (nobiofrac, alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, snownobio, snowf, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac)
 ChunckJob2D= NONE
@@ -58,5 +58,5 @@
 [Post_HF_sechiba_out_2]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (mrsos, mrro)
 ChunckJob2D= 50Y
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card	(revision 2508)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card	(revision 2509)
@@ -31,5 +31,5 @@
 [Post_1M_stomate_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas)
 TimeSeriesVars2D= (T2M_MONTH,CONTFRAC,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
 ChunckJob2D = NONE
@@ -40,5 +40,5 @@
 [Post_1M_stomate_ipcc_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas, CONTFRAC)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas, CONTFRAC)
 TimeSeriesVars2D=(cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep)
 ChunckJob2D = NONE
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/lmdz.driver	(revision 2508)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/lmdz.driver	(revision 2509)
@@ -349,4 +349,7 @@
 	IGCM_comp_modifyXmlFile force file_def_histdayNMC_lmdz.xml histdayNMC enabled .FALSE.
 	IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP enabled .FALSE.
 
     # Default output level : 5
@@ -360,4 +363,7 @@
 	IGCM_comp_modifyXmlFile force file_def_histdayNMC_lmdz.xml histdayNMC output_level 5
 	IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC output_level 5
+        IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP output_level 5
+        IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP output_level 5
+        IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP output_level 5
      # Filling of XML files 
 	if [ X${ok_mensuel} = Xy ] ; then
@@ -412,4 +418,20 @@
 	    IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC name histhfNMC
 	fi
+        if [ X${LMDZ_COSP_monthly} = Xy ] ; then
+	    IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP output_freq 1mo
+	    IGCM_comp_modifyXmlFile force file_def_histmthCOSP_lmdz.xml histmthCOSP name histmthCOSP
+	fi
+	if [ X${LMDZ_COSP_daily} = Xy ] ; then
+	    IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP output_freq 1d
+	    IGCM_comp_modifyXmlFile force file_def_histdayCOSP_lmdz.xml histdayCOSP name histdayCOSP
+	fi
+	if [ X${LMDZ_COSP_hf} = Xy ] ; then
+	    IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP output_freq 6h
+	    IGCM_comp_modifyXmlFile force file_def_histhfCOSP_lmdz.xml histhfCOSP name histhfCOSP
+	fi
+
     fi
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/cosp_input_nl.txt
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/cosp_input_nl.txt	(revision 2508)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/cosp_input_nl.txt	(revision 2509)
@@ -26,14 +26,10 @@
 ! Namelist that sets up the main COSP options
 &COSP_INPUT
-  CMOR_NL='./cmor/cosp_cmor_nl.txt', ! CMOR namelist
   NPOINTS_IT=10000,! Max number of gridpoints to be processed in one iteration
   NCOLUMNS=20,  ! Number of subcolumns
-  NLEVELS=39,   ! Number of model levels 
-  USE_VGRID=.true., ! Use fixed vertical grid for outputs? (if .true. then you need to define number of levels with Nlr)
+  USE_VGRID=.false., ! Use fixed vertical grid for outputs? (if .true. then you need to define number of levels with Nlr)
   NLR=40,       ! Number of levels in statistical outputs (only used if USE_VGRID=.true.)
-  CSAT_VGRID=.true., ! CloudSat vertical grid? (if .true. then the CloudSat standard grid is used for the outputs.
+  CSAT_VGRID=.false., ! CloudSat vertical grid? (if .true. then the CloudSat standard grid is used for the outputs.
                      !  USE_VGRID needs also be .true.)
-  FINPUT='histday.nc', ! NetCDF file with 1D inputs
-!  FINPUT='cosp_input_um_2d.nc', ! NetCDF file with 2D inputs
   !----------------------------------------------------------------------------------
   !--------------- Inputs related to radar simulations
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/cosp_output_nl.txt
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/cosp_output_nl.txt	(revision 2508)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/cosp_output_nl.txt	(revision 2509)
@@ -34,5 +34,5 @@
   ! Output variables
   Lalbisccp=.true.,
-  Latb532=.false.,
+  Latb532=.true.,
   Lboxptopisccp=.true.,
   Lboxtauisccp=.true.,
@@ -60,4 +60,4 @@
   ! These are provided for debugging or special purposes
   Lfrac_out=.false.,
-  Lbeta_mol532=.false.,  
+  Lbeta_mol532=.true.,  
 /
Index: CONFIG/UNIFORM/v6/diff_configurations.ksh
===================================================================
--- CONFIG/UNIFORM/v6/diff_configurations.ksh	(revision 2508)
+++ CONFIG/UNIFORM/v6/diff_configurations.ksh	(revision 2509)
@@ -16,5 +16,5 @@
 ConfigFamily=v6
 ConfigList=`ls |grep ${ConfigFamily} |grep -v out`
-ConfigList="LMDZOR_v6 IPSLCM6 " 
+ConfigList=$ConfigList" IPSLCM6 IPSLCM6CHT"
 verbose=no
 echo All configurations to tests : $ConfigList
